﻿Namespace ColorTables

    Public Class Vs2010DefaultMenuStripColorTable
        Inherits ColorTables.Vs2010MenuStripColorTable

        Private _CommonColorTable As Vs2010CommonColorTable

        Public Sub New()
            _CommonColorTable = New Vs2010DefaultCommonColorTable()
        End Sub

        Public Overrides ReadOnly Property CommonColorTable As Vs2010CommonColorTable
            Get
                Return _CommonColorTable
            End Get
        End Property

        Public Overrides ReadOnly Property BottomBorder As System.Drawing.Color
            Get
                Return Color.FromArgb(156, 170, 193)
            End Get
        End Property

        Public Overrides ReadOnly Property BackgroundGradientBottom As System.Drawing.Color
            Get
                Return Color.FromArgb(175, 186, 206)
            End Get
        End Property

        Public Overrides ReadOnly Property BackgroundGradientTop As System.Drawing.Color
            Get
                Return Color.FromArgb(202, 211, 226)
            End Get
        End Property

        Public Overrides ReadOnly Property DropdownGradientBottom As System.Drawing.Color
            Get
                Return Color.FromArgb(208, 215, 226)
            End Get
        End Property

        Public Overrides ReadOnly Property DropdownGradientTop As System.Drawing.Color
            Get
                Return Color.FromArgb(233, 236, 238)
            End Get
        End Property

        Public Overrides ReadOnly Property DroppedDownItemBackground As System.Drawing.Color
            Get
                Return Color.FromArgb(233, 236, 238)
            End Get
        End Property

        Public Overrides ReadOnly Property ImageMargin As System.Drawing.Color
            Get
                Return Color.FromArgb(233, 236, 238)
            End Get
        End Property

        Public Overrides ReadOnly Property Separator As System.Drawing.Color
            Get
                Return Color.FromArgb(190, 195, 203)
            End Get
        End Property

    End Class

End Namespace